%define		status		stable
%define		pearname	Horde_Kolab_Server
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - A package for manipulating the Kolab user database
Name:		php-horde-Horde_Kolab_Server
Version:	1.0.2
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	b4c266288968a17e0c99cddd640182ae
URL:		https://github.com/horde/horde/tree/master/framework/Kolab_Server/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(hash)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Auth < 2.0.0
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_Date
Suggests:	php-horde-Horde_Ldap
Suggests:	php-ldap
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Date.*) pear(Horde/Ldap.*)

%description
This package allows to read/write entries in the Kolab user database
stored in LDAP.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

mv docs/Horde_Kolab_Server/TODO .
mv docs/Horde_Kolab_Server/usage.txt .
mv docs/Horde_Kolab_Server/examples .

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%doc TODO usage.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%dir %{php_pear_dir}/Horde/Kolab
%{php_pear_dir}/Horde/Kolab/Server
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> d6bffb3
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> fb31d57
- updated to: 1.0.2

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 9b955bf
- up to 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 67424a4
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> ed0f1ab
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> de2ffaa
- horde h4 pear packages

